var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Image as RawImage } from 'react-native';
import { isSvg, Svg } from 'react-native-svg-component';
export const Image = (props) => {
    const { source, alt, width, height, style } = props, others = __rest(props, ["source", "alt", "width", "height", "style"]);
    const uri = source.uri;
    if (isSvg(uri)) {
        return (React.createElement(Svg, Object.assign({}, others, { source: source, accessibilityLabel: alt, width: width, height: height, style: style })));
    }
    else {
        return (React.createElement(RawImage, Object.assign({}, others, { source: source, accessibilityLabel: alt, style: [
                {
                    width: width,
                    height: height
                },
                style
            ] })));
    }
};
