var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect } from 'react';
import { DeviceEventEmitter, Platform, TouchableNativeFeedback, TouchableOpacity, View } from 'react-native';
import { Guid } from '../Common/Guid';
export const Touchable = (props) => {
    let testId = props.testId;
    const onPress = (data) => {
        if (props.onPress) {
            props.onPress(data);
        }
    };
    useEffect(() => {
        testId = props.testId + Guid.newGuid();
    }, []);
    useEffect(() => {
        if (props.onPress && Platform.OS === 'android') {
            DeviceEventEmitter.addListener(`KeyEnter${testId}`, onPress);
        }
        return () => {
            if (props.onPress && Platform.OS === 'android') {
                DeviceEventEmitter.removeListener(`KeyEnter${testId}`, onPress);
            }
        };
    }, [props.onPress]);
    if (props.onPress || props.onLongPress) {
        const { onLongPress, accessibilityRole, activeOpacity, hitSlop, style, disabled, children } = props, others = __rest(props, ["onLongPress", "accessibilityRole", "activeOpacity", "hitSlop", "style", "disabled", "children"]);
        if (Platform.OS === 'android') {
            return (React.createElement(TouchableNativeFeedback, { disabled: disabled, onPress: onPress, onLongPress: onLongPress, accessible: true, testID: testId, useForeground: true, hitSlop: hitSlop, background: TouchableNativeFeedback.SelectableBackground(), accessibilityLabel: props.accessibilityLabel, accessibilityRole: accessibilityRole === undefined ? 'button' : accessibilityRole, onLayout: props.onLayout },
                React.createElement(View, Object.assign({ style: style }, others), children)));
        }
        else {
            return (React.createElement(TouchableOpacity, Object.assign({ disabled: disabled, onPress: onPress, onLongPress: onLongPress, accessible: true, testID: testId, activeOpacity: activeOpacity, style: style, hitSlop: hitSlop, accessibilityLabel: props.accessibilityLabel, accessibilityRole: accessibilityRole === undefined ? 'button' : accessibilityRole, onLayout: props.onLayout }, others), children));
        }
    }
    else {
        return (React.createElement(View, Object.assign({}, props)));
    }
};
