import React from 'react';
import { useTheme } from '../Hooks/Theme';
import { Text } from './Text';
export const Badge = (props) => {
    const { subtle, content, variant, level, theme, style } = props;
    const config = useTheme(theme);
    const color = subtle ? config.color.subtle[level] : config.color.main[level];
    const font = config.font.content[level] || config.font.content['primary'];
    return (React.createElement(Text, { variant: level, theme: theme, subtle: subtle, style: [
            config.border.badge,
            config.spacing.badge,
            {
                color: color.contrast,
                backgroundColor: color.surface,
                overflow: 'hidden',
                borderRadius: variant === 'pill' ? font.lineHeight / 2 : config.border.badge.borderRadius,
                alignSelf: 'center',
            },
            style
        ] }, content));
};
