var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Text } from 'react-native';
import { Touchable } from '../Basics/Touchable';
import { useTheme } from '../Hooks/Theme';
export const Button = (props) => {
    const { variant, title, reverse, subtle, theme, style } = props, others = __rest(props, ["variant", "title", "reverse", "subtle", "theme", "style"]);
    const config = useTheme(theme);
    const color = subtle ? config.color.subtle[variant] : config.color.main[variant];
    const font = config.font.content['button'];
    return (React.createElement(Touchable, Object.assign({}, others, { style: [
            config.border.button,
            config.spacing.button,
            {
                backgroundColor: reverse ? color.surface : color.background,
                borderColor: color.border,
                shadowColor: color.shadow,
                justifyContent: 'center',
                alignContent: 'center',
                alignItems: 'center',
            }
        ] }),
        React.createElement(Text, { style: [
                font,
                {
                    color: reverse ? color.contrast : color.content,
                    backgroundColor: 'transparent'
                }
            ] }, title)));
};
