var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { View } from 'react-native';
import { useTheme } from '../Hooks/Theme';
export const Card = (props) => {
    const { theme, subtle, style } = props, others = __rest(props, ["theme", "subtle", "style"]);
    const config = useTheme(theme);
    const color = subtle ? config.color.subtle['primary'] : config.color.main['primary'];
    return (React.createElement(View, Object.assign({}, others, { style: [
            config.spacing.card,
            config.border.card,
            {
                backgroundColor: color.background,
                borderColor: color.border,
                shadowColor: color.shadow
            },
            style
        ] })));
};
