var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Text as RawText } from 'react-native';
import { useTheme } from '../Hooks/Theme';
export const Text = (props) => {
    const { variant, subtle, theme, style } = props, others = __rest(props, ["variant", "subtle", "theme", "style"]);
    const config = useTheme(theme);
    const color = subtle ? config.color.subtle[variant] : config.color.main[variant];
    const font = config.font.content[variant] || config.font.content['primary'];
    return (React.createElement(RawText, Object.assign({}, others, { style: [
            font,
            {
                color: color.content,
                backgroundColor: color.background,
                borderColor: color.border,
                shadowColor: color.shadow,
            },
            style
        ] })));
};
