import { Dark, Default as DefaultTheme } from '../Configs/Themes/Index';
import { ObjectUtils } from './Object';
export class ThemeManager {
    constructor() {
        this.dict = {};
        this.dict['default'] = DefaultTheme;
        this.dict['dark'] = Dark;
    }
    addTheme(theme, name) {
        this.dict[name] = ObjectUtils.merge(this.getTheme(name), theme);
    }
    getTheme(name) {
        return this.dict[name] ? this.dict[name] : this.dict['default'];
    }
    static getInstance() {
        if (!this._instance) {
            this._instance = new ThemeManager();
        }
        return this._instance;
    }
}
